Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASEntityDeclaration

All Superinterfaces:
  ASObject

public interface ASEntityDeclaration
extends ASObject

Models a general entity declaration in an abstract schema. The abstract schema does not handle any parameter entity. It is assumed that the parameter entities are expanded by the implementation as the abstract schema is built.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

Field Summary
`static short` | `EXTERNAL_ENTITY` constant defining an external entity.
`static short` | `INTERNAL_ENTITY` constant defining an internal entity.

Fields inherited from interface org.apache.xerces.dom3.as.ASObject
`AS_ATTRIBUTE_DECLARATION, AS_CONTENTMODEL, AS_ELEMENT_DECLARATION, AS_ENTITY_DECLARATION, AS_MODEL, AS_NOTATION_DECLARATION`

Method Summary
`short` | `getEntityType()` The type of the entity as defined above.
`java.lang.String` | `getEntityValue()` The replacement text for the internal entity.
`java.lang.String` | `getPublicId()` The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`java.lang.String` | `getSystemId()` the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.
`void` | `setEntityType(short entityType)` The type of the entity as defined above.
`void` | `setEntityValue(java.lang.String entityValue)` The replacement text for the internal entity.
`void` | `setPublicId(java.lang.String publicId)` The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`void` | `setSystemId(java.lang.String systemId)` the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

Methods inherited from interface org.apache.xerces.dom3.as.ASObject
`cloneASObject, getAsNodeType, getLocalName, getNamespaceURI, getNodeName, getOwnerASModel, getPrefix, setLocalName, setNamespaceURI, setNodeName, setOwnerASModel, setPrefix`

Field Detail

### INTERNAL_ENTITY

    public static final short INTERNAL_ENTITY

  constant defining an internal entity.

### EXTERNAL_ENTITY

    public static final short EXTERNAL_ENTITY

  constant defining an external entity.

Method Detail

### getEntityType

    public short getEntityType()

  The type of the entity as defined above.

### setEntityType

    public void setEntityType(short entityType)

  The type of the entity as defined above.

### getEntityValue

    public java.lang.String getEntityValue()

  The replacement text for the internal entity. The entity references within the replacement text are kept intact. For an entity of type `EXTERNAL_ENTITY`, this is `null`.

### setEntityValue

    public void setEntityValue(java.lang.String entityValue)

  The replacement text for the internal entity. The entity references within the replacement text are kept intact. For an entity of type `EXTERNAL_ENTITY`, this is `null`.

### getSystemId

    public java.lang.String getSystemId()

  the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### setSystemId

    public void setSystemId(java.lang.String systemId)

  the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### getPublicId

    public java.lang.String getPublicId()

  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

### setPublicId

    public void setPublicId(java.lang.String publicId)

  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.